#ifndef AKENTI_CERTIFICATE_FACTORY
#define AKENTI_CERTIFICATE_FACTORY

#include <string>
#include <map>

using std::string;
using std::map;

namespace Akenti {

class AkentiCertificateImpl;

/**
  * <i>AkentiCertificateFactory</i>
  *
  * @version 1.1 00/05/01
  * @author Srilekha Mudumbai
  * @author Abdelilah Essiari
  */
class AkentiCertificateFactory {

public:

  /**
    *
    */
  ~AkentiCertificateFactory();

  /**
    *
    */
  AkentiCertificateImpl*
  getPrototype(const string& type);

  /**
    *
    */
  void
  addPrototype(AkentiCertificateImpl* impl);

  /**
    *
    */
  static AkentiCertificateFactory& 
  getAkentiCertificateFactory();

private:

  AkentiCertificateFactory();

  AkentiCertificateFactory(const AkentiCertificateFactory&);

  map<string, AkentiCertificateImpl*> prototypes;

  static AkentiCertificateFactory fac;

};

} // end of name space

#endif
