#ifndef AKENTI_RESPONSES_HPP
#define AKENTI_RESPONSES_HPP

#include "AkentiResponse.hpp" 
#include "Xerces-Decls.hpp"
#include <vector>
#include <string>

using std::vector;
using std::string;

namespace Akenti {

/**
  * Holds an ordered list of <i>AkentiResponse</i>s.
  *
  * @see AkentiResponse
  */
class AkentiResponses {

public:

  /**
    * Constructor
    */
  AkentiResponses();

  /**
    * Returns the number of responses contained in this <i>AkentiResponses</i>. 
    */
  int numOfResponses() const;

  /**
    * Appends one </i>AkentiResponse<i> to this <i>AkentiResponses</i>.
    */
  void addResponse(const AkentiResponse& req);

  /**
    * Returns the </i>AkentiResponse<i> at index <i>idx</i>. 
    */
  const AkentiResponse& getResponseAt(int idx) const;

  /**
    * Creates a DOMElement from this <i>AkentiResponses/i>.
    */
  DOMElement* toXML() const;

  /**
    * Initializes an <i>AkentiResponses</i> from a DOMElement.
    */
  void fromXML(const DOMElement* responses);

  /**
    */
  string toString() const;

private:

  vector<AkentiResponse> responses;

};

}

#endif

