#ifndef CACHE_CERT_GENERATOR_IMPL_HPP
#define CACHE_CERT_GENERATOR_IMPL_HPP

#include <vector>
#include "AkentiCertGenerator.hpp"
#include "AKCertHolder.hpp"
#include "CacheCertificate.hpp"

using std::vector;

namespace Akenti {

/**
  * @see AkentiCertGenerator
  *
  * @version 1.1 00/05/25
  * @author Srilekha Mudumbai
  * @author Abdelilah Essiari
  **/

class CacheCertGenerator : public AkentiCertGenerator {

public:

  /**
    * Default constructor 
    */ 
  CacheCertGenerator();

  /**
    * Default destructor
    */
  ~CacheCertGenerator();

  /**
    */ 
  void setAKCertHolders(const vector<AKCertHolder>& holders);

  /**
    */
  const CacheCertificate& generate();

};

} // end of name space

#endif
