#ifndef CAPABILITY_CERT_GENERATOR_HPP
#define CAPABILITY_CERT_GENERATOR_HPP

#include "AkentiCertGenerator.hpp"
#include "CapabilityCertificate.hpp"
#include "ConditionalActions.hpp"

using std::vector;
using std::string;

namespace Akenti {

/**
  * <i>CapabilityCertGenerator</i>
  *
  * @see AkentiCertGenerator
  *
  * @version 1.1 00/05/25
  * @author Srilekha Mudumbai
  * @author Abdelilah Essiari 
  **/

class CapabilityCertGenerator : public AkentiCertGenerator {

public:

  /**
    */
  CapabilityCertGenerator();

  /**
    */
  ~CapabilityCertGenerator();

  /**
    */ 
  void setResource(const string& resource);

  /**
    */ 
  void setPrincipal(const AkentiPrincipal& principal);

  /**
    */
  void setPublicKey(const PublicKey& publicKey);

  /**
    */
  void
  setUnConditionalActions(const vector<string>& unConditionalActions);

  /**
    */
  void
  setConditionalActions(const vector<ConditionalActions>& conditionalActions);

  /**
    */
  const CapabilityCertificate& generate();

};

} // end of name space

#endif
