#ifndef EXPRESSION_EVALUATOR_HPP
#define EXPRESSION_EVALUATOR_HPP

#include <string> 
#include "Expression.hpp"
#include "TokenType.hpp"
#include "Error.hpp"

using std::string;
using namespace Akenti;

/**
  * <i>ExpressionEvaluator</i>
  *
  * @version 1.1 00/05/01
  * @author Srilekha Mudumbai
  * @author Abdelilah Essiari
  **/
namespace Akenti {

class ExpressionEvaluator {

public:

  /**
    */
  virtual ~ExpressionEvaluator() {
  }

  /**
    * @exception Error 
    */
  virtual bool evaluate(TokenType type, 
                        const string& leftOperand, 
                        const string& rightOperand) {
    throw Error("ExpressionEvaluator:evaluate:subclass responsibility");
  }

  /**
    * @exception Error
    */
  virtual int reduce(TokenType type, 
                     const string& leftOperand, 
                     const string& rightOperand,
                     Expression& expr) { 
    throw Error("ExpressionEvaluator:reduce:subclass responsibility");
  }

};

} // end of name space

#endif
