#ifndef AK_IO_EXCEPTION_HPP
#define AK_IO_EXCEPTION_HPP

#include "Exception.hpp"

/**
  * This is the base class of all Input/Output exceptions.
  *
  * @see Exception
  *
  * @version 1.1 00/05/01
  * @author Abdelilah Essiari
  * @author Srilekha Mudumbai
  * @author Xiang Sun
  */

namespace Akenti {

class IOException : public Exception {

public:

  /**
    * Constructs an <i>IOException</i> with the specified detailed
    * message that best describes this particular input/output 
    * exception.
    *
    * @param message the detailed message
    */
  IOException(const string& message) : Exception(message) {
  }

  /**
    * Destructor.
    */
  virtual ~IOException() throw() {
  }

};

} // end of namespace Akenti

#endif
