#ifndef AK_LDAP_URL_HANDLER_IMPL_HPP
#define AK_LDAP__URL_HANDLER_IMPL_HPP

#include "URLHandlerImpl.hpp"

/**
  * A <i>LdapURLHandlerImpl<i> object provides the services for an http URL 
  * that are not provided by the base class, URLHandlerImpl. These consist of
  * returning the default port of 80, and creating a LdapURLConnection.
  *
  * @see URLHandlerImpl
  * @see URL 
  * @see URLConnection
  *
  * @version 1.1 00/11/01
  * @author Srilekha Mudumbai
  * @author Abdelilah Essiari
  **/

namespace Akenti {

class LdapURLHandlerImpl : public URLHandlerImpl {

public:

  /**
    * Constructs this object.
    */
  LdapURLHandlerImpl();

  /**
    * Destroys this object.
    */  
  ~LdapURLHandlerImpl();

  /** 
    * This call is unsupported for ldap
    */
  URLConnection getURLConnection(const URL& url) const;

};

} // end of namespace Akenti

#endif
