#ifndef AK_SECURITY_EXCEPTION_HPP
#define AK_SECURITY_EXCEPTION_HPP
#include "Exception.hpp" 

/**
  * This is the generic Security exception.
  *
  * @see Exception
  * 
  * @author Srilekha Mudumbai
  * @author Abdelilah Essiari 
  */

namespace Akenti {

class SecurityException : public Exception {

public:
  
  /**
    * Constructs a SignatureException with the specified detailed
    * message.  A detailed message is a string that describes this
    * particular exception.
    *
    * @param message the detailed message.
    */
  SecurityException(const string &message) : Exception(message) {
  }

};

} // end of namespace Akenti

#endif
