#ifndef SOAP_HTTP_REQUEST_HPP
#define SOAP_HTTP_REQUEST_HPP

#include "HttpRequest.hpp"
#include "Xerces-Decls.hpp"

namespace Akenti {

/**
  * Handles soap requests over http.
  *
  * @version 1.1 12/26/02
  * @author Abdelilah Essiari 
  */	
class SoapHttpRequest : public HttpRequest {

public:

  /**
    */
  SoapHttpRequest();

  /**
    */
  ~SoapHttpRequest();

  /**
    */
  void setParams(DOMElement* params);

  /**
    */
  const DOMElement* getParams() const;
 
  /**
    */
  InputStream getInputStream() const;

  /**
    */
  OutputStream getOutputStream();

  /**
    */
  void fromStream(InputStream& is);

  /**
    */
  void toStream(OutputStream& os) const;

private:

  DOMElement *params;

};

} // end of name space

#endif
